Skip Navigation Links
Exit Print View
| SPARC T4-1 Server HTML Document Collection

Search Scope:

- This Document
- Entire Library

## Display Console History

This topic describes displaying the host server console output buffers.

There are two console history buffers that can contain up to 1 Mbyte of information. The `/HOST/console/history` target writes all types of log information. The `/HOST/console/bootlog` target writes boot information and initialization data into the console buffer until Oracle ILOM is notified by the server that the Oracle Solaris OS is up and running. This buffer is kept until the host is booted again.

Note - You must have Oracle ILOM Administrator level user permission to use this command.

1. To manage the `/HOST/console/history` log, at the Oracle ILOM `->` prompt, type:

       -> set /HOST/console/history property=option [...]
       -> show /HOST/console/history

   where property can be:

   - `line_count` – This option accepts a value within the range of 1 to 2048 lines. Specify "" for an unlimited number of lines. The default is all lines.

   - `pause_count` – This option accepts a value of 1 to any valid integer or "" for infinite number of lines. The default is not to pause.

   - `start_from` – The options are:

     - `end` – The last line (most recent) in the buffer (the default).

     - `beginning` – The first line in the buffer.

       If you type the show `/HOST/console/history` command without first setting any arguments with the `set` command, Oracle ILOM displays all lines of the console log, starting from the end.

       Note - Timestamps recorded in the console log reflect server time. These timestamps reflect local time, and the Oracle ILOM console log uses UTC (Coordinated Universal Time). The Oracle Solaris OS system time is independent of the Oracle ILOM time.

2. To view the `/HOST/console/bootlog`, at the Oracle ILOM `->` prompt, type:

       -> show /HOST/console/bootlog property

   where property can be:

   - `line_count` – This option accepts a value within the range of 0 to 2048 lines. Specify "0" for an unlimited number of lines. The default is all lines.

   - `pause_count` – This option accepts a value of within the range of 0 to 2048 lines. Specify "0" for an unlimited number of lines. The default is not to pause.

   - `start_from` – The options are:

     - `end` – The last line (most recent) in the buffer (the default).

     - `beginning` – The first line in the buffer.

       Note - Timestamps in the console log reflect server time. By default, the Oracle ILOM console log uses Greenwich Mean Time (GMT), but you can use the `/SP/clock` `timezone` command to the set the SP clock to use other timezones. The Oracle Solaris OS system time is independent of the Oracle ILOM time.

##### Related Information

- Specify the Host Power State at Restart

Copyright © 2011, 2013, Oracle and/or its affiliates. All rights reserved. Legal Notices |